Bug 431159 - iwl3945: wireless association fails with 2.6.24-9.fc9
Summary: iwl3945: wireless association fails with 2.6.24-9.fc9
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-01 02:35 UTC by Bill Nottingham
Modified: 2014-03-17 03:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 14:16:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2008-02-01 02:35:19 UTC
Description of problem:

Wireless association fails with 2.6.24-9.fc9. iwl3945, WPA2-PSK. 
Both NM and raw usage of wpa_supplicant fail.

Works fine with the same userspace with 2.6.24-0.141.rc7.fc9. Haven't
tried in-between yet.

Lots of messages like:

Trying to associate with 00:13:10:a6:40:59 (SSID='xenomorph' freq=2447 MHz)
Associated with 00:13:10:a6:40:59
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Authentication with 00:00:00:00:00:00 timed out.
No network configuration found for the current AP
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
No network configuration found for the current AP

Version-Release number of selected component (if applicable):

2.6.24-9.fc9

How reproducible:

Every time

Comment 1 John W. Linville 2008-02-01 13:45:33 UTC
Is this with or without disable_hw_scan?  Does setting that option the other 
way change the behavior?

Comment 2 Bill Nottingham 2008-02-01 15:02:54 UTC
With disable_hw_scan; will try without later today, as the AP is at home.

Comment 3 Bill Nottingham 2008-02-02 02:13:00 UTC
Without disable_hw_scan it works.


Comment 4 Bill Nottingham 2008-02-04 05:56:59 UTC
That being said, without disable_hw_scan, it's flaky, much in the same way that
F8 and F7 were without disable_hw_scan.

Comment 5 John W. Linville 2008-02-19 22:19:55 UTC
FWIW, I'm running this kernel on a t60p now with WPA-PSK and it seems quite 
stable.

The AP has a slow (~10Mbps) back-end connection -- could the flakiness you 
observe be related to transfer speed?  Might there be other sources of RFI in 
your area?

Can you make any recommendations on how to recreate the conditions you are 
seeing?

Comment 6 Bill Nottingham 2008-02-19 22:30:29 UTC
Not specifically. It appears to be fixed in the 2.6.25-pre kernels we have in
rawhide.


Note You need to log in before you can comment on or make changes to this bug.